<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetIlsConfigReq StructType
 * @subpackage Structs
 */
class GetIlsConfigReq extends AbstractStructBase
{
    /**
     * The clusterId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $clusterId;
    /**
     * The returnedTags
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig
     */
    public $returnedTags;
    /**
     * Constructor method for GetIlsConfigReq
     * @uses GetIlsConfigReq::setClusterId()
     * @uses GetIlsConfigReq::setReturnedTags()
     * @param string $clusterId
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig $returnedTags
     */
    public function __construct($clusterId = null, \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig $returnedTags = null)
    {
        $this
            ->setClusterId($clusterId)
            ->setReturnedTags($returnedTags);
    }
    /**
     * Get clusterId value
     * @return string|null
     */
    public function getClusterId()
    {
        return $this->clusterId;
    }
    /**
     * Set clusterId value
     * @param string $clusterId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetIlsConfigReq
     */
    public function setClusterId($clusterId = null)
    {
        $this->clusterId = $clusterId;
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetIlsConfigReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\NewIlsConfig $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
}
